RRAMS PWD - Mobile Application - Feature #104

SSL Implementation
23/04/2024 10:17 AM - Subodh Neelapati

Status: In Progress Start date: 23/04/2024
Priority: High Due date:

Assignee: Jyoshna Behara % Done: 0%
Category: Estimated time: 8:00 hours
Target version: Spent time: 0:00 hour
Deployed In: Category:

Description

Search SSL Flutter package and implement it on project.

History

#1 - 23/04/2024 05:30 AM - Subodh Neelapati
- Due date changed from 23/04/2024 to 25/04/2024

#2 - 26/04/2024 12:02 AM - Jyoshna Behara

- Due date deleted (25/04/2024)

- Status changed from New to In Progress

Has dependency on packages - no accurate sample of code.

Below 2 ways implemented but not worked as required.

1. (dio.httpClientAdapter as DefaultHttpClientAdapter) .onHttpClientCreate
(client) {
SecurityContext context = SecurityContext.defaultContext;
getRootBundle () .then ((value) => {
context.setTrustedCertificatesBytes (value.buffer.asUint8List ()),

client = HttpClient (context: context)
1)
return client;

bi

2. class HttpOverridesService extends HitpOverrides{

@override

HttpClient createHttpClient(SecurityContext? context){

return super.createHttpClient(context)

..badCertificateCallback = (X509Certificate cert, String host, int port)=> true;
}

}
